> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detection Rule



## OpenAPI

````yaml GET /v1/detection-rules/{rule_uuid}
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/detection-rules/{rule_uuid}:
    get:
      tags:
        - detection-rules
      summary: Get Detection Rule
      operationId: get_detection_rule_v1_detection_rules__rule_uuid__get
      parameters:
        - name: rule_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Rule Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_DetectionRuleResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DataResponse_DetectionRuleResponse_:
      properties:
        data:
          $ref: '#/components/schemas/DetectionRuleResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[DetectionRuleResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DetectionRuleResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        name:
          type: string
          title: Name
        source_rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Rule Id
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        is_active:
          type: boolean
          title: Is Active
        mitre_tactics:
          items:
            type: string
          type: array
          title: Mitre Tactics
        mitre_techniques:
          items:
            type: string
          type: array
          title: Mitre Techniques
        mitre_subtechniques:
          items:
            type: string
          type: array
          title: Mitre Subtechniques
        data_sources:
          items:
            type: string
          type: array
          title: Data Sources
        run_frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Frequency
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - name
        - source_rule_id
        - source_name
        - severity
        - is_active
        - mitre_tactics
        - mitre_techniques
        - mitre_subtechniques
        - data_sources
        - run_frequency
        - created_by
        - documentation
        - created_at
        - updated_at
      title: DetectionRuleResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````